summaryrefslogtreecommitdiff
path: root/source3/script/installswat.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2004-03-02 18:10:12 +0000
committerGerald Carter <jerry@samba.org>2004-03-02 18:10:12 +0000
commit08d03a703957b90d194819799597ea87e2913a57 (patch)
tree056c1695767dfcdeeafb12a6e3ca1049564a8986 /source3/script/installswat.sh
parent5f4b6ae77a725146772f44e6b5cede2a216523ce (diff)
downloadsamba-08d03a703957b90d194819799597ea87e2913a57.tar.gz
samba-08d03a703957b90d194819799597ea87e2913a57.tar.bz2
samba-08d03a703957b90d194819799597ea87e2913a57.zip
BUG 1129: patch from shiro@miraclelinux.com (Shiro Yamada) to install image files for SWAT
(This used to be commit a01a7fdbd93997185322d1faaa76c408f0ed2b1d)
Diffstat (limited to 'source3/script/installswat.sh')
-rwxr-xr-xsource3/script/installswat.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index c0285bda55..495386e0b7 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -81,6 +81,22 @@ if [ -d $SRCDIR../docs/htmldocs/ ]; then
cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
chmod 0644 $FNAME
done
+
+ if [ -d $SRCDIR../docs/htmldocs/images/ ]; then
+ if [ ! -d $SWATDIR/help/images/ ]; then
+ mkdir $SWATDIR/help/images
+ if [ ! -d $SWATDIR/help/images/ ]; then
+ echo Failed to make directory $SWATDIR/help/images, does $USER have privileges?
+ exit 1
+ fi
+ fi
+ for f in $SRCDIR../docs/htmldocs/images/*.png; do
+ FNAME=$SWATDIR/help/images/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+ fi
fi
# Install Using Samba book (but only if it is there)